# GAICo Advanced Examples

The Python notebooks in this directory serve as advanced examples of using the GAICo library for various complex scenarios. Each notebook is designed to demonstrate specific use cases, metrics, and methodologies for analyzing LLM results.

## Available Examples

### 1. LLM FAQ Analysis (`llm_faq-example.ipynb`)

- Comparison of responses from different LLMs on FAQ datasets
- Demonstrates how to:
  - Evaluate consistency across multiple LLM responses
  - Compare responses from different models
  - Analyze semantic similarity in FAQ contexts
- Uses multiple metrics including BLEU, BERTScore, and semantic similarity
- Includes sample FAQ dataset and responses

### 2. Threshold (`threshold-example.ipynb`)

- Exploration of thresholding techniques for LLM responses
- Demonstrates how to:
  - Set thresholds for response quality
  - Filter responses based on predefined criteria
  - Analyze the impact of thresholds on model performance

### 3. Visualization (`viz-example.ipynb`)

- Visualization for LLM results using the visualization module from the library
- Demonstrates how to:
  - Create visual representations of LLM performance
  - Use charts and graphs to analyze metrics
  - Compare different models visually
